"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AcceptSharedDirectory_1 = require("../model/operations/AcceptSharedDirectory");
var AcceptSharedDirectoryCommand = /** @class */ (function () {
    function AcceptSharedDirectoryCommand(input) {
        this.input = input;
        this.model = AcceptSharedDirectory_1.AcceptSharedDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AcceptSharedDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AcceptSharedDirectoryCommand;
}());
exports.AcceptSharedDirectoryCommand = AcceptSharedDirectoryCommand;
//# sourceMappingURL=AcceptSharedDirectoryCommand.js.map