"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddIpRoutes_1 = require("../model/operations/AddIpRoutes");
var AddIpRoutesCommand = /** @class */ (function () {
    function AddIpRoutesCommand(input) {
        this.input = input;
        this.model = AddIpRoutes_1.AddIpRoutes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddIpRoutesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddIpRoutesCommand;
}());
exports.AddIpRoutesCommand = AddIpRoutesCommand;
//# sourceMappingURL=AddIpRoutesCommand.js.map