"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelSchemaExtension_1 = require("../model/operations/CancelSchemaExtension");
var CancelSchemaExtensionCommand = /** @class */ (function () {
    function CancelSchemaExtensionCommand(input) {
        this.input = input;
        this.model = CancelSchemaExtension_1.CancelSchemaExtension;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelSchemaExtensionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelSchemaExtensionCommand;
}());
exports.CancelSchemaExtensionCommand = CancelSchemaExtensionCommand;
//# sourceMappingURL=CancelSchemaExtensionCommand.js.map