"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ConnectDirectory_1 = require("../model/operations/ConnectDirectory");
var ConnectDirectoryCommand = /** @class */ (function () {
    function ConnectDirectoryCommand(input) {
        this.input = input;
        this.model = ConnectDirectory_1.ConnectDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ConnectDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ConnectDirectoryCommand;
}());
exports.ConnectDirectoryCommand = ConnectDirectoryCommand;
//# sourceMappingURL=ConnectDirectoryCommand.js.map