"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDirectory_1 = require("../model/operations/CreateDirectory");
var CreateDirectoryCommand = /** @class */ (function () {
    function CreateDirectoryCommand(input) {
        this.input = input;
        this.model = CreateDirectory_1.CreateDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDirectoryCommand;
}());
exports.CreateDirectoryCommand = CreateDirectoryCommand;
//# sourceMappingURL=CreateDirectoryCommand.js.map