"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateMicrosoftAD_1 = require("../model/operations/CreateMicrosoftAD");
var CreateMicrosoftADCommand = /** @class */ (function () {
    function CreateMicrosoftADCommand(input) {
        this.input = input;
        this.model = CreateMicrosoftAD_1.CreateMicrosoftAD;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateMicrosoftADCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateMicrosoftADCommand;
}());
exports.CreateMicrosoftADCommand = CreateMicrosoftADCommand;
//# sourceMappingURL=CreateMicrosoftADCommand.js.map