"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateSnapshot_1 = require("../model/operations/CreateSnapshot");
var CreateSnapshotCommand = /** @class */ (function () {
    function CreateSnapshotCommand(input) {
        this.input = input;
        this.model = CreateSnapshot_1.CreateSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateSnapshotCommand;
}());
exports.CreateSnapshotCommand = CreateSnapshotCommand;
//# sourceMappingURL=CreateSnapshotCommand.js.map