"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteSnapshot_1 = require("../model/operations/DeleteSnapshot");
var DeleteSnapshotCommand = /** @class */ (function () {
    function DeleteSnapshotCommand(input) {
        this.input = input;
        this.model = DeleteSnapshot_1.DeleteSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteSnapshotCommand;
}());
exports.DeleteSnapshotCommand = DeleteSnapshotCommand;
//# sourceMappingURL=DeleteSnapshotCommand.js.map