"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDomainControllers_1 = require("../model/operations/DescribeDomainControllers");
var DescribeDomainControllersCommand = /** @class */ (function () {
    function DescribeDomainControllersCommand(input) {
        this.input = input;
        this.model = DescribeDomainControllers_1.DescribeDomainControllers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDomainControllersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDomainControllersCommand;
}());
exports.DescribeDomainControllersCommand = DescribeDomainControllersCommand;
//# sourceMappingURL=DescribeDomainControllersCommand.js.map