"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeSharedDirectories_1 = require("../model/operations/DescribeSharedDirectories");
var DescribeSharedDirectoriesCommand = /** @class */ (function () {
    function DescribeSharedDirectoriesCommand(input) {
        this.input = input;
        this.model = DescribeSharedDirectories_1.DescribeSharedDirectories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeSharedDirectoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeSharedDirectoriesCommand;
}());
exports.DescribeSharedDirectoriesCommand = DescribeSharedDirectoriesCommand;
//# sourceMappingURL=DescribeSharedDirectoriesCommand.js.map