"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableRadius_1 = require("../model/operations/EnableRadius");
var EnableRadiusCommand = /** @class */ (function () {
    function EnableRadiusCommand(input) {
        this.input = input;
        this.model = EnableRadius_1.EnableRadius;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableRadiusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableRadiusCommand;
}());
exports.EnableRadiusCommand = EnableRadiusCommand;
//# sourceMappingURL=EnableRadiusCommand.js.map