"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableSso_1 = require("../model/operations/EnableSso");
var EnableSsoCommand = /** @class */ (function () {
    function EnableSsoCommand(input) {
        this.input = input;
        this.model = EnableSso_1.EnableSso;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableSsoCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableSsoCommand;
}());
exports.EnableSsoCommand = EnableSsoCommand;
//# sourceMappingURL=EnableSsoCommand.js.map