"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RejectSharedDirectory_1 = require("../model/operations/RejectSharedDirectory");
var RejectSharedDirectoryCommand = /** @class */ (function () {
    function RejectSharedDirectoryCommand(input) {
        this.input = input;
        this.model = RejectSharedDirectory_1.RejectSharedDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RejectSharedDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RejectSharedDirectoryCommand;
}());
exports.RejectSharedDirectoryCommand = RejectSharedDirectoryCommand;
//# sourceMappingURL=RejectSharedDirectoryCommand.js.map