"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreFromSnapshot_1 = require("../model/operations/RestoreFromSnapshot");
var RestoreFromSnapshotCommand = /** @class */ (function () {
    function RestoreFromSnapshotCommand(input) {
        this.input = input;
        this.model = RestoreFromSnapshot_1.RestoreFromSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreFromSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreFromSnapshotCommand;
}());
exports.RestoreFromSnapshotCommand = RestoreFromSnapshotCommand;
//# sourceMappingURL=RestoreFromSnapshotCommand.js.map