"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ShareDirectory_1 = require("../model/operations/ShareDirectory");
var ShareDirectoryCommand = /** @class */ (function () {
    function ShareDirectoryCommand(input) {
        this.input = input;
        this.model = ShareDirectory_1.ShareDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ShareDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ShareDirectoryCommand;
}());
exports.ShareDirectoryCommand = ShareDirectoryCommand;
//# sourceMappingURL=ShareDirectoryCommand.js.map