"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UnshareDirectory_1 = require("../model/operations/UnshareDirectory");
var UnshareDirectoryCommand = /** @class */ (function () {
    function UnshareDirectoryCommand(input) {
        this.input = input;
        this.model = UnshareDirectory_1.UnshareDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UnshareDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UnshareDirectoryCommand;
}());
exports.UnshareDirectoryCommand = UnshareDirectoryCommand;
//# sourceMappingURL=UnshareDirectoryCommand.js.map