"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTrust_1 = require("../model/operations/UpdateTrust");
var UpdateTrustCommand = /** @class */ (function () {
    function UpdateTrustCommand(input) {
        this.input = input;
        this.model = UpdateTrust_1.UpdateTrust;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTrustCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTrustCommand;
}());
exports.UpdateTrustCommand = UpdateTrustCommand;
//# sourceMappingURL=UpdateTrustCommand.js.map