"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var VerifyTrust_1 = require("../model/operations/VerifyTrust");
var VerifyTrustCommand = /** @class */ (function () {
    function VerifyTrustCommand(input) {
        this.input = input;
        this.model = VerifyTrust_1.VerifyTrust;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    VerifyTrustCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return VerifyTrustCommand;
}());
exports.VerifyTrustCommand = VerifyTrustCommand;
//# sourceMappingURL=VerifyTrustCommand.js.map