"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConnectDirectoryInput_1 = require("../shapes/ConnectDirectoryInput");
var ConnectDirectoryOutput_1 = require("../shapes/ConnectDirectoryOutput");
var DirectoryLimitExceededException_1 = require("../shapes/DirectoryLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ConnectDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ConnectDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ConnectDirectoryInput_1.ConnectDirectoryInput
    },
    output: {
        shape: ConnectDirectoryOutput_1.ConnectDirectoryOutput
    },
    errors: [
        {
            shape: DirectoryLimitExceededException_1.DirectoryLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ConnectDirectory.js.map