"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLogSubscriptionInput_1 = require("../shapes/CreateLogSubscriptionInput");
var CreateLogSubscriptionOutput_1 = require("../shapes/CreateLogSubscriptionOutput");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLogSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLogSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLogSubscriptionInput_1.CreateLogSubscriptionInput
    },
    output: {
        shape: CreateLogSubscriptionOutput_1.CreateLogSubscriptionOutput
    },
    errors: [
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateLogSubscription.js.map