"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDirectoriesInput_1 = require("../shapes/DescribeDirectoriesInput");
var DescribeDirectoriesOutput_1 = require("../shapes/DescribeDirectoriesOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDirectories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDirectories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDirectoriesInput_1.DescribeDirectoriesInput
    },
    output: {
        shape: DescribeDirectoriesOutput_1.DescribeDirectoriesOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DescribeDirectories.js.map