"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeSharedDirectoriesInput_1 = require("../shapes/DescribeSharedDirectoriesInput");
var DescribeSharedDirectoriesOutput_1 = require("../shapes/DescribeSharedDirectoriesOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeSharedDirectories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeSharedDirectories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeSharedDirectoriesInput_1.DescribeSharedDirectoriesInput
    },
    output: {
        shape: DescribeSharedDirectoriesOutput_1.DescribeSharedDirectoriesOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DescribeSharedDirectories.js.map