"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTrustsInput_1 = require("../shapes/DescribeTrustsInput");
var DescribeTrustsOutput_1 = require("../shapes/DescribeTrustsOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTrusts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTrusts",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTrustsInput_1.DescribeTrustsInput
    },
    output: {
        shape: DescribeTrustsOutput_1.DescribeTrustsOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DescribeTrusts.js.map