"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableSsoInput_1 = require("../shapes/DisableSsoInput");
var DisableSsoOutput_1 = require("../shapes/DisableSsoOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var AuthenticationFailedException_1 = require("../shapes/AuthenticationFailedException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableSso = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableSso",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableSsoInput_1.DisableSsoInput
    },
    output: {
        shape: DisableSsoOutput_1.DisableSsoOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: AuthenticationFailedException_1.AuthenticationFailedException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DisableSso.js.map