"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableSsoInput_1 = require("../shapes/EnableSsoInput");
var EnableSsoOutput_1 = require("../shapes/EnableSsoOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var AuthenticationFailedException_1 = require("../shapes/AuthenticationFailedException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.EnableSso = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableSso",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableSsoInput_1.EnableSsoInput
    },
    output: {
        shape: EnableSsoOutput_1.EnableSsoOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: AuthenticationFailedException_1.AuthenticationFailedException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=EnableSso.js.map