"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RejectSharedDirectoryInput_1 = require("../shapes/RejectSharedDirectoryInput");
var RejectSharedDirectoryOutput_1 = require("../shapes/RejectSharedDirectoryOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryAlreadySharedException_1 = require("../shapes/DirectoryAlreadySharedException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RejectSharedDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RejectSharedDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RejectSharedDirectoryInput_1.RejectSharedDirectoryInput
    },
    output: {
        shape: RejectSharedDirectoryOutput_1.RejectSharedDirectoryOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryAlreadySharedException_1.DirectoryAlreadySharedException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=RejectSharedDirectory.js.map