"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResetUserPasswordInput_1 = require("../shapes/ResetUserPasswordInput");
var ResetUserPasswordOutput_1 = require("../shapes/ResetUserPasswordOutput");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var UserDoesNotExistException_1 = require("../shapes/UserDoesNotExistException");
var InvalidPasswordException_1 = require("../shapes/InvalidPasswordException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ResetUserPassword = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ResetUserPassword",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ResetUserPasswordInput_1.ResetUserPasswordInput
    },
    output: {
        shape: ResetUserPasswordOutput_1.ResetUserPasswordOutput
    },
    errors: [
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: UserDoesNotExistException_1.UserDoesNotExistException
        },
        {
            shape: InvalidPasswordException_1.InvalidPasswordException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ResetUserPassword.js.map