"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ShareDirectoryInput_1 = require("../shapes/ShareDirectoryInput");
var ShareDirectoryOutput_1 = require("../shapes/ShareDirectoryOutput");
var DirectoryAlreadySharedException_1 = require("../shapes/DirectoryAlreadySharedException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidTargetException_1 = require("../shapes/InvalidTargetException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ShareLimitExceededException_1 = require("../shapes/ShareLimitExceededException");
var OrganizationsException_1 = require("../shapes/OrganizationsException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ShareDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ShareDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ShareDirectoryInput_1.ShareDirectoryInput
    },
    output: {
        shape: ShareDirectoryOutput_1.ShareDirectoryOutput
    },
    errors: [
        {
            shape: DirectoryAlreadySharedException_1.DirectoryAlreadySharedException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidTargetException_1.InvalidTargetException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ShareLimitExceededException_1.ShareLimitExceededException
        },
        {
            shape: OrganizationsException_1.OrganizationsException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ShareDirectory.js.map