"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateConditionalForwarderInput_1 = require("../shapes/UpdateConditionalForwarderInput");
var UpdateConditionalForwarderOutput_1 = require("../shapes/UpdateConditionalForwarderOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateConditionalForwarder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateConditionalForwarder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateConditionalForwarderInput_1.UpdateConditionalForwarderInput
    },
    output: {
        shape: UpdateConditionalForwarderOutput_1.UpdateConditionalForwarderOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=UpdateConditionalForwarder.js.map