"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var VerifyTrustInput_1 = require("../shapes/VerifyTrustInput");
var VerifyTrustOutput_1 = require("../shapes/VerifyTrustOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.VerifyTrust = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "VerifyTrust",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: VerifyTrustInput_1.VerifyTrustInput
    },
    output: {
        shape: VerifyTrustOutput_1.VerifyTrustOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=VerifyTrust.js.map