"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DnsIpAddrs_1 = require("./_DnsIpAddrs");
var _DirectoryVpcSettingsDescription_1 = require("./_DirectoryVpcSettingsDescription");
var _DirectoryConnectSettingsDescription_1 = require("./_DirectoryConnectSettingsDescription");
var _RadiusSettings_1 = require("./_RadiusSettings");
var _OwnerDirectoryDescription_1 = require("./_OwnerDirectoryDescription");
exports._DirectoryDescription = {
    type: "structure",
    required: [],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        ShortName: {
            shape: {
                type: "string"
            }
        },
        Size: {
            shape: {
                type: "string"
            }
        },
        Edition: {
            shape: {
                type: "string"
            }
        },
        Alias: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AccessUrl: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        DnsIpAddrs: {
            shape: _DnsIpAddrs_1._DnsIpAddrs
        },
        Stage: {
            shape: {
                type: "string"
            }
        },
        ShareStatus: {
            shape: {
                type: "string"
            }
        },
        ShareMethod: {
            shape: {
                type: "string"
            }
        },
        ShareNotes: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        LaunchTime: {
            shape: {
                type: "timestamp"
            }
        },
        StageLastUpdatedDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        VpcSettings: {
            shape: _DirectoryVpcSettingsDescription_1._DirectoryVpcSettingsDescription
        },
        ConnectSettings: {
            shape: _DirectoryConnectSettingsDescription_1._DirectoryConnectSettingsDescription
        },
        RadiusSettings: {
            shape: _RadiusSettings_1._RadiusSettings
        },
        RadiusStatus: {
            shape: {
                type: "string"
            }
        },
        StageReason: {
            shape: {
                type: "string"
            }
        },
        SsoEnabled: {
            shape: {
                type: "boolean"
            }
        },
        DesiredNumberOfDomainControllers: {
            shape: {
                type: "integer",
                min: 2
            }
        },
        OwnerDirectoryDescription: {
            shape: _OwnerDirectoryDescription_1._OwnerDirectoryDescription
        }
    }
};
//# sourceMappingURL=_DirectoryDescription.js.map