"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DirectoryServiceClient_1 = require("../../DirectoryServiceClient");
var DescribeDirectoriesCommand_1 = require("../../commands/DescribeDirectoriesCommand");
var CreateDirectoryCommand_1 = require("../../commands/CreateDirectoryCommand");
describe("@aws-sdk/client-directory-service-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeDirectories should succeed when given correct input", function (done) {
        var client = new DirectoryServiceClient_1.DirectoryServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeDirectories = new DescribeDirectoriesCommand_1.DescribeDirectoriesCommand({});
        client
            .send(describeDirectories)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("CreateDirectory should fail when given bad input", function (done) {
        var client = new DirectoryServiceClient_1.DirectoryServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var createDirectory = new CreateDirectoryCommand_1.CreateDirectoryCommand({
            Name: "",
            Password: "",
            Size: ""
        });
        client
            .send(createDirectory)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map